package com.solution.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.solution.system.mapper.BehaviortreeMapper;
import com.solution.system.domain.Behaviortree;
import com.solution.system.service.IBehaviortreeService;

/**
 * 行为树主Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
@Service
public class BehaviortreeServiceImpl implements IBehaviortreeService 
{
    @Autowired
    private BehaviortreeMapper behaviortreeMapper;

    /**
     * 查询行为树主
     * 
     * @param id 行为树主主键
     * @return 行为树主
     */
    @Override
    public Behaviortree selectBehaviortreeById(Long id)
    {
        return behaviortreeMapper.selectBehaviortreeById(id);
    }

    /**
     * 查询行为树主列表
     * 
     * @param behaviortree 行为树主
     * @return 行为树主
     */
    @Override
    public List<Behaviortree> selectBehaviortreeList(Behaviortree behaviortree)
    {
        return behaviortreeMapper.selectBehaviortreeList(behaviortree);
    }

    /**
     * 新增行为树主
     * 
     * @param behaviortree 行为树主
     * @return 结果
     */
    @Override
    public int insertBehaviortree(Behaviortree behaviortree)
    {
        return behaviortreeMapper.insertBehaviortree(behaviortree);
    }

    /**
     * 修改行为树主
     * 
     * @param behaviortree 行为树主
     * @return 结果
     */
    @Override
    public int updateBehaviortree(Behaviortree behaviortree)
    {
        return behaviortreeMapper.updateBehaviortree(behaviortree);
    }

    /**
     * 批量删除行为树主
     * 
     * @param ids 需要删除的行为树主主键
     * @return 结果
     */
    @Override
    public int deleteBehaviortreeByIds(Long[] ids)
    {
        return behaviortreeMapper.deleteBehaviortreeByIds(ids);
    }

    /**
     * 删除行为树主信息
     * 
     * @param id 行为树主主键
     * @return 结果
     */
    @Override
    public int deleteBehaviortreeById(Long id)
    {
        return behaviortreeMapper.deleteBehaviortreeById(id);
    }
}
